Skip to content

Add Primary Contact Remark (SSR CTC)

Request

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to add the primary contact to

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired

Add Primary Contact request payload.

@typestringrequired

Discriminator classes PrimaryContactID or PrimaryContact

Value:"PrimaryContact"
Example:"PrimaryContact"
Discriminator
idstring
Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

shareWithstring(ShareWithEnum)

Designates the visibility of a remark.

Enum ValueDescription
Supplier

For Hotel Create Reservation (Full Payload) ReservationComment/shareWith 'Supplier' is used for Special instructions.

Agency

For Hotel Create Reservation (Full Payload) ReservationComment/shareWith 'Agency' is used for Notepad remarks.

Traveler

For Hotel Create Reservation (Full Payload) ReservationComment/shareWith 'Traveler' is used for Unassociated remarks.

Example:"Supplier"
shareWithSupplierArray of strings

Primary contact shared with supplier

Example:
[ "AA", "BA" ]
Emailobject(Email)

Electronic email addresses, in IETF specified format.
Booking.com requires a traveler email address in the Hotel Create Reservation and Add Reservation requests. A system-generated confirmation email is sent to the traveler after the booking completes. For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

Telephoneobject(Telephone)
TravelerIdentifierobject(TravelerIdentifier)

Returns the system-generated traveler identifier in key value pairs; authority, if returned, is Travelport.

contactInformationRefusedIndboolean

If true, the passenger has refused to provide emergency contact details

Example:true
curl -i -X POST \
  https://api.pp.travelport.net/11/air/book/primarycontact/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/primarycontacts \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "PrimaryContact",
    "shareWithSupplier": [
      "YY"
    ],
    "Email": {
      "value": "exampledomain@example.com"
    },
    "Telephone": {
      "@type": "Telephone",
      "role": "Mobile",
      "phoneNumber": "12999996"
    },
    "TravelerIdentifier": {
      "Identifier": {
        "value": "b881f857-52df-4a5b-8cc1-7e0eef62aa6e"
      }
    }
  }'

Responses

Created - 201

Bodyapplication/json
PrimaryContactResponseobject(PrimaryContactResponse)

The response of a Primary contact endpoint request.

Response
{ "PrimaryContactResponse": { "PrimaryContact": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }